sudo: false
language: php

php:
  - 7.2
  - 7.1
  - 7.0
  - 5.6
  - 5.5
  - 5.4

before_script:
  - git clone --depth=50 --branch=2018.07 git://github.com/aimeos/aimeos-core.git ../aimeos-core
  - cd ../aimeos-core && mv ../ai-gettext ext/
  - travis_retry composer update

script:
  - vendor/bin/phing -Ddir=ext/ai-gettext coverageext checkext

after_success:
  - php vendor/bin/coveralls -c ext/ai-gettext/.coveralls.yml

matrix:
  fast_finish: true
